﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>Mapa stránok</title>
                <style type="text/css" media="all">@import "../css/stranka.css";</style>
            </head>
            <body>
                <h2>Mapa stránok</h2>
                <xsl:apply-templates select="mapa" />

            </body>

        </html>

    </xsl:template>

    <xsl:template match="mapa">
        <ul>
            <xsl:for-each select="url">
                <li>
                    <a>
                        <xsl:attribute name="href">
                            <xsl:value-of select="@odkaz"/>
                        </xsl:attribute>
                        <xsl:attribute name="title">
                            <xsl:value-of select="@title"/>
                        </xsl:attribute>
                        <xsl:value-of select="@name"/>
                    </a>
                </li>
            </xsl:for-each>
        </ul>
    </xsl:template>

</xsl:stylesheet>
